JeriCommerce Public API
API Status
API Status
  1. Customers
  • API Integration
    • Create/Update resources
      POST
    • Delete resources
      DELETE
  • Customers
    • Get customer details by email
      GET
    • Get a customer token
      GET
    • Redeem a reward
      POST
    • Send a push notification
      POST
    • Assign a coupon
      POST
    • Increase balance
      POST
    • Decrease balance
      POST
    • Execute a custom earning flow for a customer
      POST
  1. Customers

Execute a custom earning flow for a customer

Entorno producci贸n
https://api.jericommerce.com
Entorno producci贸n
https://api.jericommerce.com
POST
/v1/programs/{programId}/custom-earning-flows/{earningFlowId}/execute
Last modified:2026-05-25 08:44:20
earningFlowId may be the program engagement flow UUID or its EngagementFlowType name (e.g. CUSTOM_1). Auth: an API key targets any customer via body customerEmail; a customer JWT executes the flow for the authenticated customer.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
API Key
Add parameter in header
api-key
Example:
api-key: ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

馃煝200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Swift
PHP
curl --location 'https://api.jericommerce.com/v1/programs//custom-earning-flows//execute' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "customerEmail": "string"
}'
Response Response Example
{
    "pointsAwarded": 0,
    "remainingExecutions": 0,
    "recurrence": "once"
}
Modified at聽2026-05-25 08:44:20
Previous
Decrease balance
Built with